function Z = A_Z(A)
%prevod z kaskadni na impedancni dojbran
% Z   : impedancni dvojbran
% A_Z : nazev funkce (prevod z kaskadni na impedancni)
% (A) :parametr (kaskadni matice A)

det = A(1,1)*A(2,2) - A(2,1)*A(1,2);     %determinant
Z(1,1) = A(1,1)/A(2,1);   %Z11
Z(1,2) = det/A(2,1);      %Z12
Z(2,1) = 1/A(2,1);       %Z21
Z(2,2) = A(2,2)/A(2,1);   %Z22