cd saves
load kaskadni_dvojbrany               % nahravani An, Ap, Ako
load Ako_cleny                        % pro zjisteni delky l Z0 v 
clear frekvence vysilac prijimac kol_vedeni Ako y %smazani nepotrebnych promenych
cd('..')

%vypocet podelni impedance pro suntovany stav pri kterem neni pritomna
%svodova admitance y. pod_impedance = z z Ako_cleny (zabs zangle)
zangle = zangle*pi/180;  %prevod na radiany
zabs = zabs/1000;        %prevod na ohm/m

pod_impedance = zabs * exp(i*zangle); %prevod na tvar a+bi

clear zabs zangle

Zahlavi
disp(' ')
disp('    ------------------------------------------   ')
disp(['               SUNTOVANY STAV ' nazev])
disp('    ------------------------------------------   ')
disp(' ')
 
vstup = 0;
while vstup == 0
    bb = input('Chcete pouzit Rs Zj z SUNTOVANEHO STAVU? [A/N]: ','s'); 
    bb = upper(bb);
        
    switch bb
        case {'A'}
            vstup = 1;
            cd saves
            if (sunt_stav_2 == 1)
                load SUNTOVANY_STAV_parametry  %pro Rs a Zjabs a Zjangle
            else
                load SUNTOVANY_STAV_parametry_graf  %pro Rs a Zjabs a Zjangle
            end
            cd('..')
                
            Zjangle = Zjangle*pi/180;      %prevod na radiany
        case {'N'}
            vstup = 1;
            disp(' ')
            Rs = input('Zadejte hodnotu SUNTU [pr 0.1ohm]: ');
                
            %zadani a vypocet kaskadni matice rele J
            disp(' ')
            disp('Zadejte impedanci prijimaciho rele J, jeho hodnotu a uhel:')
            Zjabs = input('Rele J [pr. 13600 ohm]: ');  %velikost vektoru impedance rele J
            Zjangle = input('Rele J [pr. 62]: ')*pi/180;  %uhel vektoru impedance rele J a prevod na radiany
        otherwise
            vstup = 0;
            disp(' ')
            disp('Zadejte znovu, ANO - A; NE - N');
            disp(' ')
    end
end
clear bb I1abs I1angle U1abs U1angle U2abs U2angle x

%Zadani napajeciho napeti U1
vstup = 0;
while vstup == 0
    aa=input('Chcete pouzit U1 z VOLNEHO STAVU? [A/N]: ','s');
    aa=upper(aa);
   
    switch aa
        case {'A'};
            vstup = 1;
            %nahrani predchozi hodnty z VOLNEHO STAVU
            cd saves
            load VOLNY_STAV_parametry     % pro parametr U1abs a U1angle 
            clear I1abs I1angle U2abs U2angle I2abs I2angle %smazani nepotrebnych promenych
            cd('..')
        case {'N'};
            vstup = 1;
            disp(' ')
            disp('Zadejte velikost a uhel vektoru U1:')
            U1abs = input('Napeti U1 [V]: ');    %velikost vektoru U1
            U1angle = input('Napeti U1 []: ');  %uhel vektoru U1               
        otherwise
            disp(' ')
            disp('Zadejte znovu, ANO - A; NE - N');
            disp(' ')
            vstup = 0;
    end
    %prevod na tvar a+bi
    U1angle = U1angle*pi/180;   %prevod na radiany
    U1 = U1abs * exp(U1angle*i);
end

%vypocet kaskadni matice suntu
As = kaskadni_matice(2,Rs);  % volani funkce pro vypocet kaskadni matice As suntu

%vypocet kaskadni matice rele J
Zj = Zjabs * exp(i*Zjangle);  %prevod impedance na tvar a+bi
Aj = kaskadni_matice(2,Zj);

%delka suntu od zacatku
disp(' ')
disp(['Delka kolejoveho useku je ' num2str(l) 'm'])

if ((typ == 5) || (typ == 4))
    if (graf == 1)
        SUNTOVY_STAV_graf    %graficka analyza
    else
        SUNTOVY_STAV_2        %vypocet I1 a U2
    end
end

if (typ == 6)
    SUNTOVY_STAV_zmena_napajeni_graf
end

if (typ == 7)
    SUNTOVY_STAV_ruseni_graf
end

if (typ == 8)
    SUNTOVY_STAV_zmena_ruseni_graf
end

clear aa graf Zj Zjabs Zjangle Aj Ax Alx As Aall
clear Kall An Ap Rs Z0 f napoveda v nn U1abs U1angle U2abs U2angle
clear I1abs I1angle U1 U2 I1 l x pod_impedance %mazani nepotebnych promenych