%naceteni napovedy
napoveda = imread('napoveda_sunt.png');
image(napoveda)

%zadani vzdalenosti X
vstup = 0;
while vstup == 0
    x = input('Zadejte vzdalenost X [m]: ');
 
    if (l-x<0)
        disp(' ')
        disp(['Zadany parametr "X" je delsi nez KO (' num2str(l) 'm)'])
        vstup = 0;
    else
        vstup = 1;
    end
 end

%vypocet kasakdnich dvojbarnu Ax a Alx
Ax = [1 pod_impedance*x; 0 1];
Alx = [1 pod_impedance*(l-x); 0 1];

%vypocet kaskadni matice celeho KO Aall
Aall = An * Ax * As * Alx * Ap * Aj;

%prevod na paralelne-seriovou matici K   A-K
Kall = A_K(Aall);

%Vypocet U2 a I1
I1 = Kall(1,1)*U1;
U2 = Kall(2,1)*U1;

%prevod vysledku na srozumitelnejsi formu
U1angle = U1angle*180/pi;     %prevod na stupne

I1abs = abs(I1)*1000;         %prevod na mA
I1angle = angle(I1)*180/pi;   %prevod na stupne

U2abs = abs(U2);
U2angle = angle(U2)*180/pi;   %prevod na stupne

Zjangle = Zjangle*180/pi;   %prevod na stupne

%zobrazeni vysledku
disp('______________________________________________')
disp(' ')
disp([' Hodnoty na PRIJIMACI: U2 = ' num2str(U2abs) 'V /' num2str(U2angle) ''])
disp(['                        Z = ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
disp([' Hodnoty na VYSILACI:  U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
disp(['                       I1 = ' num2str(I1abs) 'mA /' num2str(I1angle) ''])

sunt_stav_2 = 1;  %tato promena zustane v pameti pokud byl pocitan suntovany stav 

%ulozeni vysledku a zadani do slozky saves
cd saves
save ('SUNTOVANY_STAV_parametry', 'U1abs', 'U1angle', 'I1abs', 'I1angle', 'U2abs', 'U2angle', 'l', 'x', 'Rs', 'Zjabs', 'Zjangle') 
cd('..')

pause