delvz = input('Suntovaci krok [m]: ');   %delka 1 vyorku vzorkovani po
pocvz = (l/delvz)+1;                       %pocet vzorku

xx = 0-delvz;   %pocatecni hodnota od zacatku k suntu
for m = 1:pocvz                         
    xx = xx+delvz;
   
    %vypocet kasakdnich dvojbarnu Ax a Alx
    Ax = [1 pod_impedance*xx; 0 1];
    Alx = [1 pod_impedance*(l-xx); 0 1];
    
    %vypocet kaskadni matice celeho KO Aall
    Aall = An * Ax * As * Alx * Ap * Aj;

    %prevod na paralelne-seriovou matici K   A-K
    Kall = A_K(Aall);

    %Vypocet U2 a I1
    I1 = Kall(1,1)*U1; 
    U2 = Kall(2,1)*U1;
    
    %prevod komplexnich cisel na "abs" a uhel
    x(m) = xx;                   %osa x delka KO
    y(m) = abs(U2);              %napeti U2 na rele J
    z(m) = angle(U2)*180/pi;     %faze U2 na rele J prevod na stupne
    t(m) = abs(I1)*1000;         %proud I1 ze zdroje prevod na mA
    
end

%nastaveni berev grafu
barva_car_grafy

%vykresleni grafu a jeho parametry
obr = figure('Name','  SUNTOVANY   STAV', 'NumberTitle','off'); %nazev grafu

%graf 1
subplot(2,2,1:2)
plot (x,y,barva1,'LineWidth',2)               

title('Velikost napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('U2 [V]')
axis tight         
box off
grid on

%graf 2
subplot(2,2,3)
plot (x,z,barva2,'LineWidth',2)               

title('Faze napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('faze U2 []')
axis tight                                  
box off
grid on

%graf 3
subplot(2,2,4)
plot (x,t,barva1,'LineWidth',2)               

title('Velikost proudu I1 z napajeni')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('I1 [mA]')
axis tight                                  
box off
grid on

%ulozeni grafu jako obrazek
Zjangle = Zjangle*180/pi;   %prevod na stupne
cd saves
saveas (obr,'SUNTOVANY_STAV_graf','png')  %ulozeni obrazku png
saveas (obr,'SUNTOVANY_STAV_graf','fig')  %ulozeni obrazku fig
save ('SUNTOVANY_STAV_parametry_graf', 'l', 'Rs', 'Zjabs', 'Zjangle', 'delvz') 
cd('..')

pause

sunt_stav_graf = 1;


%smazani nepotrebnych promenych
clear m x y z barva1 barva2 uprava xx delvz pocvz obr z