delvz = input('Suntovaci krok [m]: ');   %delka 1 vyorku vzorkovani po
pocvz = (l/delvz)+1;                       %pocet vzorku

%rusici proud
disp(' ')
I1abs =input('Zadejte rusici proud I z hnaciho vozidla [mA]: ')/1000;
I1angle = input('Rusici proud I a jeho faze []: ')*pi/180;   %prevod na radiany

I1 = I1abs*exp(i*I1angle);   %prevod na tvar a+bi

xx = 0-delvz;   %pocatecni hodnota od zacatku k suntu
for m = 1:pocvz                         
    xx = xx+delvz;
    
    %VYPOCET U2 BEZ RUSENI
    %vypocet kasakdnich dvojbarnu Ax a Alx
    Ax = [1 pod_impedance*xx; 0 1];
    Alx = [1 pod_impedance*(l-xx); 0 1];
    %vypocet kaskadni matice celeho KO Aall
    Aall = An * Ax * As * Alx * Ap * Aj;
    %prevod na paralelne-seriovou matici K   A-K
    Kall = A_K(Aall);
    %Vypocet U2
    U2bezrus = Kall(2,1)*U1;
    
    
    %VYPOCET U2 POUZE RUSENI
    
    %Vypocet Ze1
    Aze1 = Ax*An;
    %prevod na serio-paralelni matici
    Hze1 = A_H(Aze1);
    %vypocet Ze1
    Ze1 = Hze1(1,1);
    
    %Vypocet Ze2
    Aze2 = Alx*Ap*Aj;
    %prevod na serio-paralelni matici
    Zze2 = A_Z(Aze2);
    %vypocet Ze2
    Ze2 = Zze2(1,1);
    
    %U2 rusenim na prijimaci J
    %Vypocet proudu z vozidla na prijimac (proudovz delic)
    Ize2 = I1*Ze1/(Ze1+Ze2);
    U2rus = Zze2(2,1)*Ize2;
    
    %SOUCET BEZ RUSENI A RUSENI
    U2 = U2bezrus +U2rus;
    
    %pro graf
    x(m) = xx;             %osa x delka KO
    y1(m) = abs(U2);       %velikost vekt U2 (ruseni + bez ruseni)
    y2(m) = abs(U2bezrus); %velikost vekt U2 bez ruseni
    y3(m) = abs(U2rus);    %velikost vekt U2 ruseni
    z1(m) = angle(U2)*180/pi;        %uhel vektoru U2 (ruseni + bez ruseni)
    z2(m) = angle(U2bezrus)*180/pi;  %uhel vektoru U2 bez ruseni
    z3(m) = angle(U2rus)*180/pi;     %uhel vektoru U2 ruseni        
end

%vykresleni grafu a jeho parametry
obr = figure('Name','  SUNTOVANY  STAV + ruseni - graf', 'NumberTitle','off'); %nazev grafu

%graf 1
subplot(2,2,1:2)
plot (x,y1,'b','LineWidth',2)   %ruseni+bez ruseni              
hold on
plot (x,y2,'c','LineWidth',2)   %bez ruseni            
hold on
plot (x,y3,'r','LineWidth',2)   %ruseni

title('Velikost napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('U2 [V]')
axis tight         
box off
grid on

%graf 2
subplot(2,2,3:4)
plot (x,z1,'b','LineWidth',2)   %ruseni +bez ruseni
hold on
plot (x,z2,'c','LineWidth',2)   %bez ruseni
hold on
plot (x,z3,'r','LineWidth',2)   %ruseni

title('Faze napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('faze U2 []')                                
axis tight
box off
grid on
legend('Soucet','Bez ruseni','Ruseni', 'Location', 'BestOutside');

%ulozeni grafu jako obrazek
Zjangle = Zjangle*180/pi;   %prevod na stupne
U1angle = angle(U1)*180/pi; %prevod na stupne
I1angle = angle(I1)*180/pi; %prevod na stupne

cd saves
saveas (obr,'SUNTOVANY_STAV_ruseni_graf','png')  %ulozeni obrazku png
saveas (obr,'SUNTOVANY_STAV_ruseni_graf','fig')  %ulozeni obrazku fig
save ('SUNTOVANY_STAV_ruseni_parametry_graf', 'l', 'Rs', 'Zjabs', 'Zjangle', 'delvz', 'I1abs', 'I1angle', 'U1abs', 'U1angle') 
cd('..')

sunt_stav_ruseni_graf = 1;

pause

%smazani nepotrebnych promenych
clear delvz pocvz I1angle I1abs I1 xx m An As Ap Aj Ax Alx Aall Kall U2bezrus Aze1 Hze1 l Rs
clear Ze1 Aze2 Zze2 Ze2 Ize2 U2rus U2 x y1 y2 y3 z1 z2 z3 obr Zjabs Zjangle U1abs U1angle