delvz_l = input('Suntovaci krok [m]: ');   %delka 1 vyorku vzorkovani po
pocvz_l = (l/delvz_l)+1;                       %pocet vzorku

%rusici proud zadani rozmezi
disp(' ')
disp('Zadejte rozmezi rusiciho proudu I1 z vozidla')
I1zac = input('Pocatecni velikost I1 [mA]: ')/1000;
I1kon = input('Koncova hodnota I1 [mA]: ')/1000;

%pocet vzorku I1
pocvz_I1 = pocvz_l;
delvz_I1 = (I1kon - I1zac)/pocvz_I1;

obr = figure('Name','  SUNTOVANY   STAV  + Zmena ruseni', 'NumberTitle','off'); %nazev grafu

%I1
I1 = I1zac - delvz_I1;
for n = 1:pocvz_I1
    I1 = I1 + delvz_I1;
    
    xx = 0 - delvz_l;
    for m = 1:pocvz_l
        xx = xx + delvz_l;
        
        %VYPOCET U2 BEZ RUSENI
        %vypocet kasakdnich dvojbarnu Ax a Alx
        Ax = [1 pod_impedance*xx; 0 1];
        Alx = [1 pod_impedance*(l-xx); 0 1];
        %vypocet kaskadni matice celeho KO Aall
        Aall = An * Ax * As * Alx * Ap * Aj;
        %prevod na paralelne-seriovou matici K   A-K
        Kall = A_K(Aall);
        %Vypocet U2
        U2bezrus = Kall(2,1)*U1;
    
        %VYPOCET U2 POUZE RUSENI 
        %Vypocet Ze1
        Aze1 = Ax*An;
        %prevod na serio-paralelni matici
        Hze1 = A_H(Aze1);
        %vypocet Ze1
        Ze1 = Hze1(1,1);
    
        %Vypocet Ze2
        Aze2 = Alx*Ap*Aj;
        %prevod na serio-paralelni matici
        Zze2 = A_Z(Aze2);
        %vypocet Ze2
        Ze2 = Zze2(1,1);
    
        %U2 rusenim na prijimaci J
        %Vypocet proudu z vozidla na prijimac (proudovz delic)
        Ize2 = I1*Ze1/(Ze1+Ze2);
        U2rus = Zze2(2,1)*Ize2;
    
        %SOUCET BEZ RUSENI A RUSENI
        U2 = U2bezrus +U2rus;
        
        %pro graf
        x(m) = I1*1000; %Veliksot rusiciho proudu mA
        y(m) = abs(U2); %napeti U2 na rele J
        z(m) = xx;      %delka suntu od vzsilace
    end
    %vzkresleni grafu
    plot3(z,x,y,'b','LineWidth',2)
    hold on
end

%uprava grafu
title('Velikost napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('Iruseni [mA]')
zlabel('U2 [V]')
box off
grid on

%ulozeni grafu a vysledku
Zjangle = Zjangle*180/pi;   %prevod na stupne
U1angle = U1angle*180/pi;   %prevod na stupne

cd saves
saveas (obr,'SUNTOVANY_STAV_zmena_ruseni_graf','png')  %ulozeni obrazku png
saveas (obr,'SUNTOVANY_STAV_zmena_ruseni_graf','fig')  %ulozeni obrazku fig
save ('SUNTOVANY_STAV_zmena_ruseni_parametry_graf', 'l', 'Rs', 'Zjabs', 'Zjangle', 'delvz_l', 'I1zac', 'I1kon', 'U1abs', 'U1angle') 
cd('..')

pause

sunt_stav_zmena_rus_graf = 1;
      
clear delvz_l pocvz_l I1zac I1kon delvz_I1 pocvz_I1 I1 m n xx Ax Alx Aall
clear Kall U2bezrus Aze1 Hze1 Ze1 Aze2 Zze2 Ze2 Ize2 U2rus U2 x y z obr