cd saves
load kaskadni_dvojbrany   % nahravani An, Ap, Ako
clear frekvence vysilac prijimac kol_vedeni %smazani nepotrebnych promenych
cd('..')

Zahlavi
disp(' ')
disp('    ------------------------------------------   ')
disp('                  VOLNY STAV')
disp('    ------------------------------------------   ')
disp(' ')
disp('    Zadejte velikosti a uhel vektoru U a I prijimacim rele: ')

U2abs = input('Napeti U2 [V]: ');     %zadani velikosti vektoru U2
U2angle = input('Napeti U2 []: ')*pi/180;   %zadani uhlu U2 a prevod na radiany 
disp(' ')
I2abs = input('Proud I2 [mA]: ')/1000; %zadani velikosti vektoru I2
I2angle = input('Proud I2 []: ')*pi/180;     %zadani uhlu I2 a prevod na radiany
disp('______________________________________________')

%prevod U2 a I2 na tvar (a + b*i)
U2 = U2abs * exp(U2angle*i);
I2 = I2abs * exp(I2angle*i);

%vypocet KASKADNI matice cele soustavy
Aall = An * Ako * Ap;            

%vypocet U1 a I1 pomoci kaskadni matice cele soustavy (Aall)
U1 = Aall(1,1)*U2 + Aall(1,2)*I2;    %vypocet vstupniho napeti U1
I1 = Aall(2,1)*U2 + Aall(2,2)*I2;    %vypocet vstupniho proudu I1

%prevod U1(2) a I1(2) na tvar (abs * e ^(i*angle)) na srozumitelenjsi formu
U2angle = U2angle*180/pi;    %prevod z radianu na stupne
I2angle = I2angle*180/pi;    %prevod z radianu na stupne
I2abs = I2abs *1000;         %prevod na miliampery

U1abs = abs(U1);              %velikost vektoru U1
U1angle = angle(U1)*180/pi;   % uhel vektoru U1 ve stupnich

I1abs = abs(I1)*1000;         %veliost vektroru I1 v mA 
I1angle = angle(I1)*180/pi;   % uhel vektoru I1 ve stupnich

%zobrazeni vysledku
disp(' ')
disp([' Pro zadane parametry: U2 = ' num2str(U2abs) 'V /' num2str(U2angle) ''])
disp(['                       I2 = ' num2str(I2abs) 'mA /' num2str(I2angle) ''])
disp(' Odpovidaji nasledujici hodnoty:')
disp(['              Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
disp(['                       I1 = ' num2str(I1abs) 'mA /' num2str(I1angle) ''])

vol_stav = 1;  %tato promena zustane v pameti pokud byl pocitan volny stav 

%ulozeni vysledku a zadani do slozky saves
cd saves
save ('VOLNY_STAV_parametry', 'U1abs', 'U1angle', 'I1abs', 'I1angle', 'U2abs', 'U2angle', 'I2abs', 'I2angle') 
cd('..')

pause
clear U2abs U2angle I2abs I2angle U1abs U1angle I1abs I1angle Aall U2 I2 I1 U1