function B = A_B(A)
%prevod z kaskadni na zpetne kaskadni dojbran
% B   :zpetne kaskadni dvojbran
% A-B :nazev funkce (prevod z kaskadni na zpetne kaskadni)
% (A) :parametr (kaskadni matice A)

det = A(1,1)*A(2,2) - A(2,1)*A(1,2);     %determinant
B(1,1) = A(2,2)/det;        %B11
B(1,2) = A(1,2)/det;        %B12
B(2,1) = A(2,1)/det;        %B21
B(2,2) = A(1,1)/det;        %B22