function H = A_H(A)
%prevod z kaskadni na serio-paralelni matici
% H   : serio-paralelni dvojbran
% A_H : nazev funkce
% (A) : paramettr (kaskadni matice A)

det = A(1,1)*A(2,2) - A(2,1)*A(1,2);   %detrminant
H(1,1) = A(1,2)/A(2,2);    %H11
H(1,2) = det/A(2,2);       %H12
H(2,1) = -1/A(2,2);        %H21
H(2,2) = A(2,1)/A(2,2);    %H22