function K = A_K(A)
%prevod z kaskadni na paralelne seriovy dojbran
% K   :paralelne seriovy dvojbran
% A-K :nazev funkce (prevod z kaskadni na paralelne seriovou)
% (A) :parametr (kaskadni matice A)

det = A(1,1)*A(2,2) - A(2,1)*A(1,2);     %determinant
K(1,1) = A(2,1)/A(1,1);     %K11
K(1,2) = -1*det/A(1,1);     %K12
K(2,1) = 1/A(1,1);          %K21
K(2,2) = A(1,2)/A(1,1);     %K22