function Y = A_Y(A)
%prevod z kaskadni na admitancni dojbran
% Y   : admitancni dvojbran
% A-Y : nazev funkce (prevod z kaskadni na admitancni)
% (A) :parametr (kaskadni matice A)

det = A(1,1)*A(2,2) - A(2,1)*A(1,2);     %determinant
Y(1,1) = A(2,2)/A(1,2);   %Y11
Y(1,2) = det/A(1,2);      %Y12
Y(2,1) = -1/A(1,2);       %Y21
Y(2,2) = A(1,1)/A(1,2);   %Y22