delvz_l = input('Suntovaci krok [m]: ');   %delka 1 vyorku vzorkovani po
pocvz_l = (l/delvz_l);                       %pocet vzorku

%zobrazeni hodnoty U1
if (aa == 'A')
    disp(' ')
    U1angle = U1angle*180/pi;   %prevod na stupne
    disp(['Puvodni hodnota vysilace: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(' ')
end

% zadani rozmezi
disp('Zadejte rozmezi pro grafickou analyzu')
vel_rozmezi = input('Velikost napeti U1 pr. [10] = +/-10V: ');

%pocatecni hodnota konecna hodnota U1 vel. vektoru
U1abszac = U1abs - vel_rozmezi;  %pocatecni hodnota U1 pro graf
U1abskon = U1abs + vel_rozmezi;  %konecna hodnota U1 pro graf

%delka vzorku u zmeny napeti U1
pocvz_U1 = pocvz_l;   %pocet kroku u U1 musi bzt stejny jako u l KO
delvz_U1 = (U1abskon - U1abszac)/pocvz_U1;          %veliksot jednoho vzorku

%nastaveni berev grafu
%barva_car_grafy

obr = figure('Name','  SUNTOVANY   STAV  + Zmena napajeni', 'NumberTitle','off'); %nazev grafu

%U1
xx = U1abszac - 2*delvz_U1;
for n = 1:(pocvz_U1+2)
    xx = xx + delvz_U1;
    U1 = xx * exp(i*U1angle);   %prevod na a+bi

    %U2 (I1) l
    zz = 0-delvz_l;   %pocatecni hodnota od zacatku k suntu
    for m = 1:pocvz_l                         
        zz = zz+delvz_l;
   
        %vypocet kasakdnich dvojbarnu Ax a Alx
        Ax = [1 pod_impedance*zz; 0 1];
        Alx = [1 pod_impedance*(l-zz); 0 1];

        %vypocet kaskadni matice celeho KO Aall
        Aall = An * Ax * As * Alx * Ap * Aj;

        %prevod na paralelne-seriovou matici K   A-K
        Kall = A_K(Aall);

        %Vypocet U2 a I1
        %I1 = Kall(1,1)*U1; 
        U2 = Kall(2,1)*U1;
    
        %prevod komplexnich cisel na "abs" a uhel
        x(m) = xx;                    %abs U1
        yu(m) = abs(U2);              %napeti U2 na rele J
        z(m) = zz;                    % delka suntu od vysilace
       % yi(m) = abs(I1)*1000;         %proud I1 ze zdroje prevod na mA       
    end
    %vykresleni grafu a jeho parametry
     %plot3(x,yu,z,'r','LineWidth',2) 
     plot3(z,x,yu,'r','LineWidth',2)
     hold on
end

clear U1abszac U1abskon pocvz_U1 delvz_U1

%graf 1
title('Velikost napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('U1 [V]')
zlabel('U2 [V]')
box off
grid on
%axis tight         


%graf 2
%subplot(2,2,3:4)
%plot3(x,yi,z,'b','LineWidth',2)               
        
%title('Velikostproudu I1 ze zdroje')
%xlabel('U1 [V]')
%ylabel('I1 [mA]')
%zlabel('Vzdalenost suntu od vysilace [m]')
%axis tight                                  
%box off
%grid off

%ulozeni grafu jako obrazek
Zjangle = Zjangle*180/pi;   %prevod na stupne
U1angle = U1angle*180/pi;   %prevod na stupne
cd saves
saveas (obr,'SUNTOVANY_STAV_zmena_napajeni_graf','png')  %ulozeni obrazku png
saveas (obr,'SUNTOVANY_STAV_zmena_napajeni_graf','fig')  %ulozeni obrazku fig
save ('SUNTOVANY_STAV_zmena_napajeni_parametry_graf', 'l', 'Rs', 'Zjabs', 'Zjangle', 'delvz_l', 'vel_rozmezi', 'U1abs', 'U1angle') 
cd('..')

pause

sunt_stav_zmena_napajeni_graf = 1;


%smazani nepotrebnych promenych
clear n yu m x yi zu zz z barva1 barva2 uprava xx delvz_l pocvz_l obr vel_rozmezi U1