delvz_l = input('Suntovaci krok [m]: ');   %delka 1 vyorku vzorkovani po
pocvz_l = (l/delvz_l);                       %pocet vzorku

%zobrazeni hodnoty U1
if (aa == 'A')
    disp(' ')
    U1angle = U1angle*180/pi;   %prevod na stupne
    disp(['Puvodni hodnota vysilace: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(' ')
end

% zadani rozmezi
disp('Zadejte rozmezi pro grafickou analyzu')
vel_rozmezi = input('Velikost napeti U1 pr. [10] = +/-10V: ');

%pocatecni hodnota konecna hodnota U1 vel. vektoru
U1abszac = U1abs - vel_rozmezi;  %pocatecni hodnota U1 pro graf
U1abskon = U1abs + vel_rozmezi;  %konecna hodnota U1 pro graf

%delka vzorku u zmeny napeti U1
pocvz_U1 = pocvz_l;   %pocet kroku u U1 musi bzt stejny jako u l KO
delvz_U1 = (U1abskon - U1abszac)/pocvz_U1;          %veliksot jednoho vzorku

%U2=K21*U1;I1=K11*U1
%vzpocet clenu K11 a K21 jako MATICE !!!
zz = 0-delvz_l;
for m = 1:pocvz_l
    zz = zz+delvz_l;

    %vypocet kasakdnich dvojbarnu Ax a Alx
    Ax = [1 pod_impedance*zz; 0 1];
    Alx = [1 pod_impedance*(l-zz); 0 1];
        
    %vypocet kaskadni matice celeho KO Aall[matice]
    Aall = An * Ax * As * Alx * Ap * Aj;

    %prevod na paralelne-seriovou matici K[matice]   A-K
    Kall = A_K(Aall);
    
    %ulozeni vsech clenu Kall(1,1) do matice K11 a obdobne K21
    K11(m)=Kall(1,1);
    K21(m)=Kall(2,1);
end

%vypocet U1 jako MATICE !!!
U1angle = U1angle*pi/180;   %prevod na radiany
U1abs = U1abszac - delvz_U1;
for n = 1:pocvz_U1
    U1abs = U1abs + delvz_U1;
    
    U11(n) = U1abs * exp(i*U1angle);
end  

%Vypocet U2 a I1
I1 = abs(K11.*U11)*1000; 
U2 = abs(K21.*U11);

for j=1:5
    U2=[U2;U2];
end
%%%%%%%%%%%%%%graf%%%%%%%%%%%%%%%%
%Plosny graf
obr = figure('Name','  SUNTOVANY   STAV  + Zmena napajeni', 'NumberTitle','off'); %nazev grafu

%z = K21;
%x = U11;
z = 0:delvz_l:l;   %z osa - delka KO od 0 do l po suntovacim kroku
x = U1abszac:delvz_U1:U1abskon;  %x osa - U1 od U1-vel_rozmezi do U1+el_rozmezi po delvz_U1
[x,z] = meshgrid(x,z);      %vzkresleni mrizky 

%U2 = abs(z.*x);
%vzkresleni plosneho grafu
surf(U2);
shading interp %uplne potlaceni mrizky

%uprava grafu
title('Velikost napeti U2 na prijimacim rele J')
xlabel('Vzdalenost suntu od vysilace [m]')
ylabel('U1 [V]')
zlabel('U2 [V]')

%ulozeni grafu jako obrazek
Zjangle = Zjangle*180/pi;   %prevod na stupne
U1angle = U1angle*180/pi;   %prevod na stupne
cd saves
saveas (obr,'SUNTOVY_STAV_zmena_napajeni_graf','png')  %ulozeni obrazku png
saveas (obr,'SUNTOVY_STAV_zmena_napajeni_graf','fig')  %ulozeni obrazku fig
save ('SUNTOVY_STAV_zmena_napajeni_parametry_graf', 'l', 'Rs', 'Zjabs', 'Zjangle', 'delvz_l', 'vel_rozmezi', 'U1abs', 'U1angle') 
cd('..')

pause

sunt_stav_zmena_napajeni_graf = 1;


%smazani nepotrebnych promenych
clear m x yi zu zz z barva1 barva2 uprava xx delvz_l pocvz_l obr vel_rozmezi