cd saves
load kaskadni_dvojbrany   %parametr f (frekvence)
clear An Ako Ap frekvence vysilac prijimac kol_vedeni
cd ('..')

clc % pro prehlednesi zadavani
disp(' ')
disp('       ========================================================')
disp(' ')
disp('                       PARALELNI KOLEJOVE OBVODY')
disp('                      ____________________________')
disp(' ')
disp(['                         VYSLEDKY pro '  num2str(f) 'Hz'])
disp('       ========================================================')
disp(' ')

if (vol_stav == 1)
    cd saves
    load VOLNY_STAV_parametry
    cd ('..')
    
    disp(' ');disp('       VOLNY STAV')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Prijimac: U2 = ' num2str(U2abs) 'V /' num2str(U2angle) ''])
    disp(['                  I2 = ' num2str(I2abs) 'mA /' num2str(I2angle) ''])
    disp('      Vysledek:')
    disp(['        Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(['                 I1 = ' num2str(I1abs) 'mA /' num2str(I1angle) ''])
    disp('______________________________________________________________')
    clear U1abs U1angle I1abs I1angle U2abs U2angle I2abs I2angle
end

if (vol_stav_zmena_napajeni_2 == 1)
    cd saves
    load VOLNY_STAV_zmena_napajeni_parametry  %pro U1 U1n I1 I1n U2 U2n
    load Ako_cleny   %pro l dleka KO
    cd ('..')
       
    disp(' ');disp('      VOLNY STAV + zmena napajeni')
    disp(' ')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(' ');disp('      PUVODNI parametry:')
    disp(['         VYSILAC: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(['                  I1 = ' num2str(I1abs) 'mA /' num2str(I1angle) ''])
    disp(['        PRIJIMAC: U2 = ' num2str(U2abs) 'V /' num2str(U2angle) ''])
    disp(' ');disp('      NOVE parametry:')
    disp(['         VYSILAC: U1n = ' num2str(U1absn) 'V /' num2str(U1anglen) ''])
    disp(['                  I1n = ' num2str(I1absn) 'mA /' num2str(I1anglen) ''])
    disp(['        PRIJIMAC: U2n = ' num2str(U2absn) 'V /' num2str(U2anglen) ''])
    disp('______________________________________________________________')
    clear Z0 l v y zabs zangle U1abs U1angle U1absn U1anglen I1abs I1angle I1absn I1anglen U2abs U2angle U2absn U2anglen Zjabs Zjangle
end

if (vol_stav_zmena_napajeni_graf == 1)
    cd saves
    load VOLNY_STAV_zmena_napajeni_parametry_graf
    cd ('..')
       
    disp(' ');disp('       VOLNY STAV + zmena napajeni - graficky')
    disp(' ')
    disp('      Zadane parametry:')  
    disp(['          Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(['   Rozmezi vel U1: +/- ' num2str(vel_rozmezi) 'V'])
    disp('______________________________________________________________')
    cd saves
    openfig('VOLNY_STAV_zmena_napajeni_graf.fig')
    cd('..')
         
    clear U1abs U1angle vel_rozmezi
end

if (sunt_stav_2 == 1)
    cd saves
    load SUNTOVANY_STAV_parametry
    cd ('..')
    
    disp(' ');disp('       SUNTOVANY STAV')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(['         Delka x: ' num2str(x) 'm'])
    disp(['            Sunt: ' num2str(Rs) 'ohm'])
    disp(['          Rele J: ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
    disp(['         Vysilac:  U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(' ')
    disp('      Vysledek:')
    disp(['        Prijimac: U2 = ' num2str(U2abs) 'V /' num2str(U2angle) ''])
    disp(['         Vysilac: I1 = ' num2str(I1abs) 'mA /' num2str(I1angle) ''])
    disp('______________________________________________________________')
    clear Zjabs Zjangle U1abs U1angle I1abs I1angle U2abs U2angle I2abs I2angle l x Rs
end

if (sunt_stav_graf == 1)
    cd saves
    load SUNTOVANY_STAV_parametry_graf
    load SUNTOVANY_STAV_parametry  %pro U1abs a U1angle
    cd ('..')
       
    disp(' ');disp('       SUNTOVANY STAV - graficky')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(['  Suntovaci krok: ' num2str(delvz) ' m'])
    disp(['            Sunt: ' num2str(Rs) 'ohm'])
    disp(['          Rele J: ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
    disp(['         Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp('______________________________________________________________')
    cd saves
    openfig('SUNTOVANY_STAV_graf.fig')
    cd('..')
            
    clear delvz Zjabs Zjangle l x Rs U1abs U1angle I1abs I1angle U2abs U2angle I2abs I2angle
end

if (sunt_stav_zmena_napajeni_graf == 1)
    cd saves
    load SUNTOVANY_STAV_zmena_napajeni_parametry_graf
    cd ('..')
       
    disp(' ');disp('       SUNTOVANY STAV + zmena napajeni - graficky')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(['  Suntovaci krok: ' num2str(delvz_l) ' m'])
    disp(['            Sunt: ' num2str(Rs) 'ohm'])
    disp(['          Rele J: ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
    disp(['         Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp(['  Rozmezi vel U1: +/- ' num2str(vel_rozmezi) 'V'])
    disp('______________________________________________________________')
    cd saves
    openfig('SUNTOVANY_STAV_zmena_napajeni_graf.fig')
    cd('..')
            
    clear l delvz_l Rs Zjabs Zjangle U1abs U1angle vel_rozmezi
end

if (sunt_stav_ruseni_graf == 1)
    cd saves
    load SUNTOVANY_STAV_ruseni_parametry_graf
    I1abs = I1abs *1000;   %prevod na mA
    cd ('..')
       
    disp(' ');disp('       SUNTOVANY STAV + ruseni - graficky')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(['  Suntovaci krok: ' num2str(delvz) ' m'])
    disp(['            Sunt: ' num2str(Rs) 'ohm'])
    disp(['    Rusici proud: ' num2str(I1abs) 'mA /' num2str(I1angle) ''])
    disp(['          Rele J: ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
    disp(['         Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp('______________________________________________________________')
    cd saves
    openfig('SUNTOVANY_STAV_ruseni_graf.fig')
    cd('..')
            
    clear l delvz Rs I1 Zjabs Zjangle U1abs U1angle
end

if (sunt_stav_zmena_rus_graf == 1)
    cd saves
    load SUNTOVANY_STAV_zmena_ruseni_parametry_graf
    I1zac = I1zac*1000;   %prevod na mA
    I1kon = I1kon*1000;   %prevod na mA
    cd ('..')

    disp(' ');disp('       SUNTOVANY STAV + Zmena ruseni - graficky')
    disp(' ')
    disp('      Zadane parametry:')
    disp(['        Delka KO: ' num2str(l) 'm'])
    disp(['  Suntovaci krok: ' num2str(delvz_l) ' m'])
    disp(['            Sunt: ' num2str(Rs) 'ohm'])
    disp('   Rusici proud rozmezi analizy:')
    disp(['   pocatecni hod: ' num2str(I1zac) 'mA'])
    disp(['     konecna hod: ' num2str(I1kon) 'mA'])
    disp(['          Rele J: ' num2str(Zjabs) 'ohm /' num2str(Zjangle) ''])
    disp(['         Vysilac: U1 = ' num2str(U1abs) 'V /' num2str(U1angle) ''])
    disp('______________________________________________________________')
    cd saves
    openfig('SUNTOVANY_STAV_zmena_ruseni_graf.fig')
    cd('..')
            
    clear l delvz_l Rs I1zac I1kon Zjabs Zjangle U1abs U1angle
end
    
pause
clear f