clc    %pro prehlednost
cd saves   %otevreni slozky
load kaskadni_dvojbrany;
if p == 1
  load An_cleny;
  nazev = 'Vysilace';
else
  load Ap_cleny;
  nazev = 'Prijimace';
end  
cd('..')  %navrat do puvodni slozky

disp([' Detail parametru ' nazev ])
disp(' ')

for k=1:a
    disp('---------------------------------')
    disp(['Parametry ' num2str(k) '. clen'])
    disp(' ')
    
    switch typ.dvojbran(k)
        
        case {'S'}
            disp(' SERIOVY DVOJBRAN')
            
        case {'P'}
            disp(' PARALELNI DVOJBRAN')    
        
         case {'T'}
            disp(' TRANSFORMATOR')
    end        

    switch typ.prvek(k)
        
        case {'R'}
            disp(' Rezistor')
            
        case {'K'}
            disp(' Kondenzator')    
        
    end

    if typ.dvojbran(k) == 'T'
        disp([' U1 = ' num2str(typ.hodnota_prvku1(k)) ' ' typ.jednotky_prvku(k) ])
        disp([' U2 = ' num2str(typ.hodnota_prvku2(k)) ' ' typ.jednotky_prvku(k) ])
    else
        disp([' ' num2str(typ.hodnota_prvku1(k)) ' ' typ.jednotky_prvku(k) ' '])
    end
end

disp(' ')
disp('----------------------------------')
disp(' ')
disp(['napajeci kmitocet: ' num2str(f) 'Hz '])
disp(' ')
disp(' KASKADNI DVOJBRAN')
disp(' ')
if p == 1
   disp([' An = ' num2str(An(1,1)) '  ,  ' num2str(An(1,2)) ])
   disp(['      ' num2str(An(2,1)) '  ,  ' num2str(An(2,2)) ])
else
   disp([' Ap = ' num2str(Ap(1,1)) '  ,  ' num2str(Ap(1,2)) ])
   disp(['      ' num2str(Ap(2,1)) '  ,  ' num2str(Ap(2,2)) ])
end

disp(' ')
disp('______________________________')
disp('| Vyberte nasledujici operaci | ')
disp('______________________________')
if p == 1
    disp([' Upravit cleny ' nazev '  [1]'])
else
    disp([' Upravit cleny ' nazev ' [1]'])
end
disp(' ZPET                    [2]')
disp('------------------------------')

vstup = 0;
while vstup == 0          %osetreni vstupu
    co = input('Vyberte: '); 
    
    switch co
        case {1};     
              vstup = 1;
              pokrac = 'A';
              
              if p == 1         %volani skriptu pro prepis parametru
                  typ_vypoctu = 1;
              else
                  typ_vypoctu = 3;
              end
              
              parametry_vysilac_prijimac   %volani podprogramu
              
         case {2};
              vstup = 1;
              pokrac = 'A';
              
         otherwise
              disp(' ')
              disp('Nezadali jste spravne!');
              disp(' ')
              vstup = 0;
    end
end
clear obr nazev nazev2 p co  %mazani nepotrebnych promenych 