cd saves
delete ('Ako_cleny.mat', 'An_cleny.mat', 'Ap_cleny.mat')
cd('..')

An = [1 0; 0 1];    %pocatecni hodnota kaskadni matice vysilace
Ap = [1 0; 0 1];    %pocatecni hodnota kaskadni matice prijimace

clc;       %pro vycisteni pracovni plochy

disp(' ')
disp('   ******************************************************')
disp('               Zadani parametru jednotlivych clenu')
disp('                    VYSILAC - KO - PRIJIMAC')
disp('   ******************************************************')
disp(' ')

f = input('Zadejte napajeci kmitocet KO [Hz]: ');
frekvence = 1;   %osetreni vstupu napajeciho kmitoctu

exit = 0;  %na ukonceni teto casti programu
while (((vysilac == 0) || (kol_vedeni == 0) || (prijimac == 0)) && (exit == 0))
    
disp(' ')
disp('   ******************************************************')
disp('               Zadani parametru jednotlivych clenu')
disp('                    VYSILAC - KO - PRIJIMAC')
disp('   ******************************************************')
disp(' ')
    
disp(' ')
disp('________________________________________')
disp('| Vyberte kterou cast KO budete zadavat |')
disp('________________________________________')
disp(' Vysilac         - [1]')
disp(' Kolejove vedeni - [2]')
disp(' Prijimac        - [3]')
disp(' EXIT            - [4]')
disp('---------------------------------------')

vstup = 0;                                  %osetreni vstupu
while vstup == 0
  typ_vypoctu = input('Zadejte typ vypoctu: ');
  
  if ((typ_vypoctu == 1) && (vysilac == 1))
       disp(' ')
       disp('Vysilac byl uz nadefinovan!')
       
       vstup = 0;
       while vstup == 0;
          pokr = input('Chcete jeho parametry presto zmenit? [A/N]: ','s');
          pokr = upper(pokr);  % automaticky prevede text na velka pismena
          
          switch pokr
              case {'A'}
                  vstup = 1;
                  parametry_vysilac_prijimac         %volan procedury pro vypocet clenu dvojbranu  
              case {'N'}
                  vstup = 1; 
                  typ_vypoctu = 0;
              otherwise
                  disp(' ')
                  disp('Zadejte znovu, ANO - A; NE - N')
                  disp(' ')
                  vstup = 0;
          end
       end
  clear pokr;
  end
  
  if ((typ_vypoctu == 2) && (kol_vedeni == 1))
       disp(' ')
       disp('Kolejove vedeni uz bylo nadefinovano!')
       
       vstup = 0;
       while vstup == 0;
          pokr = input('Chcete jeho parametry presto zmenit? [A/N]: ','s');
          pokr = upper(pokr);  % automaticky prevede text na velka pismena
          
          switch pokr
              case {'A'}
                  vstup = 1;
                  parametry_kolejove_vedeni         %volan procedury pro vypocet clenu dvojbranu 
              case {'N'}
                  vstup = 1; 
                  typ_vypoctu = 0;
              otherwise
                  disp(' ')
                  disp('Zadejte znovu, ANO - A; NE - N')
                  disp(' ')
                  vstup = 0;
          end
       end
  clear pokr;
  end
  
  if ((typ_vypoctu == 3) && (prijimac == 1))
       disp(' ')
       disp('Prijimac byl uz nadefinovan!')
       
       vstup = 0;
       while vstup == 0;
          pokr = input('Chcete jeho parametry presto zmenit? [A/N]: ','s');
          pokr = upper(pokr);  % automaticky prevede text na velka pismena
          
          switch pokr
              case {'A'}
                  vstup = 1;
                  parametry_vysilac_prijimac         %volan procedury pro vypocet clenu dvojbranu 
              case {'N'}
                  vstup = 1; 
                  typ_vypoctu = 0;
              otherwise
                  disp(' ')
                  disp('Zadejte znovu, ANO - A; NE - N')
                  disp(' ')
                  vstup = 0;
          end
       end
  clear pokr;
  end
  
  switch typ_vypoctu
    case{1}
       vstup = 1;
       parametry_vysilac_prijimac
    case{2}
       vstup = 1;
       parametry_kolejove_vedeni
    case{3}
       vstup = 1;
       parametry_vysilac_prijimac
    case(4)        %pouzije se pouze u nuceneho ukonceni programu!! 
       vstup = 1;
       
       if ((vysilac == 0) || (kol_vedeni == 0) || (prijimac == 0))
           disp(' ') 
           disp('__________________________________________')
           disp('!!POZOR nejsou zadany vsechny casti KO!!')
           disp('nasledujici cast(i) chybi:')
           disp(' ')
           
           if vysilac == 0
               disp('Vysilac')
           end
           if kol_vedeni == 0
               disp('Kolejove vedeni')
           end
           if prijimac == 0
               disp('Prijimac')
           end
                         
       end

       disp(' ')
       disp('________________________________________________')
       vstup2 = 0;
       while vstup2 == 0
           opustit = input('Opravdu hodlate opustit tuto cast programu? [A/N]: ','s');
           opustit = upper(opustit);
             
           switch opustit
                case {'A'}
                   vstup2 = 1;
                   exit = 1;
                case {'N'}
                   clc    %pro mazani predchozich textu
                   vstup2 = 1;
                   exit = 0;
                otherwise
                    disp('Zadejte znovu, ANO - A; NE - N');
           end        
       end    
       clear vstup2 opustit       
       
    case{0}
       clc     %nic nedelej 
    otherwise
       vstup = 0;    
       disp(' ')
       disp('Nezadali jste spravne!');
       disp(' ')
    
  end    
end
end

% ulozeni promenych An;Ako;Ap do souboru "kaskadni_dvojbrany"
if ((vysilac == 1) && (kol_vedeni == 1) && (prijimac == 1))
    cd saves
    save('kaskadni_dvojbrany', 'An', 'Ako', 'Ap', 'f', 'frekvence', 'vysilac', 'prijimac', 'kol_vedeni');
    cd('..')  %navrat do puvodni slozky
    clear nazev nazev2 vstup2 opustit exit
else     %pouzije se poze pri nestandardnim opusteni programu EXIT
    disp(' ')
    disp('__________________________________________')
    disp('!!!KO NEBYL ZADAN CELY!!!') 
    cd saves
            
   if ((vysilac == 1) && (kol_vedeni == 1)) 
        save('kaskadni_dvojbrany', 'An', 'Ako', 'f', 'frekvence', 'vysilac', 'kol_vedeni');
        a = 'VYSILAC & KOL. VEDENI';
   end
   if ((vysilac == 1) && (prijimac == 1))
        save('kaskadni_dvojbrany', 'An', 'Ap', 'f', 'frekvence', 'vysilac', 'prijimac');
        a = 'VYSILAC & PRIJIMAC'; 
   end
   if ((kol_vedeni == 1) && (prijimac == 1))
        save('kaskadni_dvojbrany', 'Ako', 'Ap', 'f', 'frekvence', 'prijimac', 'kol_vedeni');
        a = 'KOL. VEDENI & PRIJIMAC';
   end
   if ((vysilac == 1) && (kol_vedeni == 0) && (prijimac == 0))
        save('kaskadni_dvojbrany', 'An', 'f', 'frekvence', 'vysilac');  
        a = 'VYSILAC'; 
   end
   if ((vysilac == 0) && (kol_vedeni == 1) && (prijimac == 0))
        save('kaskadni_dvojbrany', 'Ako', 'f', 'frekvence', 'kol_vedeni');
        a = 'KOL. VEDENI';
   end
   if ((vysilac == 0) && (kol_vedeni == 0) && (prijimac == 1))
        save('kaskadni_dvojbrany', 'Ap', 'f', 'frekvence', 'prijimac'); 
        a = 'PRIJIMAC';
   end 
   if ((vysilac == 0) && (kol_vedeni == 0) && (prijimac == 0))
        a = 'NIC - nebylo nic zadano!';
   end
         
   disp(['Program ulozil: ' a ])
   cd('..')  %navrat do puvodni slozky
   u = input('Stisknete enter pro pokracovani: ','s');
   clear a u nazev nazev2 vstup2 opustit exit
end