clc; %mazani kvuli preheldnosti
disp(' ')
disp('               **********************************************')
disp('                  Stanoveni parametru pro KOLEJOVE VEDENI' );
disp('               **********************************************')
disp(' ')

%Zadavani hodnot
l = input('Zadejte delku kolejoveho vedeni [m]: ');
disp(' ')
disp('Zadejte velikost a uhel vektoru podelne impedance z:')

zabs = input('Podelna impedance [pr 2.7ohm/km]: ')/1000;   %zadani velikosti vektoru podel. impedance
zangle = input('Podelna impedance [pr. 76]: ')*pi/180;     %zadani uhlu vektoru podelne impedance a prevod na radiany

y = input('Zadejte pricnou admitanci [pr. 1ohm/km]: ')/1000;

%prevod pod. impedance z na tvar (a +b*i)
z = zabs * exp(i*zangle);

%vypocet impedance Z0 a cinitele sireni v
Z0 = power(z/y,1/2);
v = power(z*y,1/2);

%vypocet kaskadni matice Ako
Ako = [cosh(v*l) Z0*sinh(v*l); 1/Z0*sinh(v*l) cosh(v*l)];

%prevod podelne impedance a jinych na stupne a ohm/km
zangle = zangle*180/pi;
zabs = zabs*1000;   
y = y*1000;   %prevod na ohm/km

kol_vedeni = 1; %pro overovani jiz nadefinovanych hodnot

cd saves
save('Ako_cleny', 'l', 'Z0', 'v', 'zabs', 'zangle', 'y')  %ulozeni parametru pro kolejovy obvod
cd('..')

clear l Z0 v z y Re Im U uhel_st uhel_rad %mazani nepotrebnych promenychs
clc

if ((vysilac == 1) && (prijimac == 1))    
    cd saves
    save('kaskadni_dvojbrany', 'An', 'Ako', 'Ap', 'f', 'frekvence', 'vysilac', 'kol_vedeni', 'prijimac');
    cd('..')
else
    if vysilac == 1
        cd saves
        save('kaskadni_dvojbrany', 'An', 'Ako', 'f', 'frekvence', 'vysilac', 'kol_vedeni');
        cd('..')
    end
    if prijimac == 1
        cd saves
        save('kaskadni_dvojbrany', 'Ako', 'f', 'frekvence', 'kol_vedeni');
        cd('..')
    end
end    